#
# spec file for package perl-IPC-Run3 (Version 0.043)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-IPC-Run3
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Run a subprocess with input/ouput redirection
Version:        0.043
Release:        2.6
License:        BSDv1+ ; Artistic V1+ ; GPLv1+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IPC-Run3/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/IPC-Run3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  perl
%if 0%{?suse_version} < 1120
BuildRequires:  perl-macros
%endif
BuildRequires:  perl(Test::More) >= 0.31
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Time::HiRes)
Requires:  perl = %{perl_version}
Provides:  %{cpan_name}

%description
This module allows you to run a subprocess and redirect stdin, stdout,
and/or stderr to files and perl data structures. It aims to satisfy 99%
of the need for using system, qx, and open3 with a simple, extremely
Perlish API.

Author:	Barrie Slaymaker <barries@slaysys.com>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
  o norootforbuild
- fixed deps
- added perl-macros
  o perl_gen_filelist
* Sat Jan 30 2010 larry+opensuse@l2g.to
- Changed the spec for current openSUSE package conventions and to
  make file list stricter
* Mon Jan 25 2010 anicka@suse.cz
- cleaned Requires
